class AddOtherInfosToPCustomers < ActiveRecord::Migration[6.0]
  def change
    add_column :p_customers, :circuit_1_id, :integer
    add_column :p_customers, :circuit_2_id, :integer
    add_column :p_customers, :circuit_3_id, :integer
    add_column :p_customers, :nbr_roulages, :string
    
    add_column :p_customers, :tel, :string

    add_column :p_customers, :ambassadeur, :boolean, :default => false
    add_column :p_customers, :sticker, :boolean, :default => false
    add_column :p_customers, :rib_fill, :boolean, :default => false
    add_column :p_customers, :rib_ok, :boolean, :default => false
    add_column :p_customers, :particular_fill, :boolean, :default => false
    add_column :p_customers, :particular_ok, :boolean, :default => false
    add_column :p_customers, :prime_ready, :boolean, :default => false
    
    add_column :p_customers, :nbr_fact_roulage, :integer, :default => 0
    add_column :p_customers, :nbr_fact_roulage_confirmed, :integer, :default => 0
    add_column :p_customers, :nbr_fact_roulage_unconfirmed, :integer, :default => 0
    add_column :p_customers, :nbr_fact_roulage_used, :integer, :default => 0
    add_column :p_customers, :nbr_fact_roulage_unused, :integer, :default => 0

    add_column :p_customers, :nbr_fact_achat, :integer, :default => 0
    add_column :p_customers, :nbr_fact_achat_confirmed, :integer, :default => 0
    add_column :p_customers, :nbr_fact_achat_unconfirmed, :integer, :default => 0
    add_column :p_customers, :nbr_fact_achat_used, :integer, :default => 0
    add_column :p_customers, :nbr_fact_achat_unused, :integer, :default => 0

    add_column :p_customers, :nbr_fact_pneus, :integer, :default => 0
    add_column :p_customers, :nbr_fact_pneus_confirmed, :integer, :default => 0
    add_column :p_customers, :nbr_fact_pneus_unconfirmed, :integer, :default => 0
    add_column :p_customers, :nbr_fact_pneus_used, :integer, :default => 0
    add_column :p_customers, :nbr_fact_pneus_unused, :integer, :default => 0


  end
end
